<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateEmptySWBom Method (IEdmBomMgr3)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBomMgr3 Interface : CreateEmptySWBom Method (IEdmBomMgr3)

Visual Basic
C#
C++/CLI
Creates an empty SOLIDWORKS BOM.

# Syntax

Visual Basic |
--- | ---

    Function CreateEmptySWBom() As EdmSWBom

C# |
--- | ---

    EdmSWBom CreateEmptySWBom()

C++/CLI |
--- | ---

    EdmSWBom^ CreateEmptySWBom();

#### Return Value

IEdmSWBom

# Example

See the IEdmBomMgr3 examples.

# Remarks

After calling this method, call IEdmBomMgr3::AddSWBom to add a new SOLIDWORKS BOM to an existing document.

# See Also

####

IEdmBomMgr3 Interface
IEdmBomMgr3 Members

# Availability

SOLIDWORKS PDM Professional 2021 SP03